Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Class XMPPContextListener

    java.lang.Object
      org.jivesoftware.openfire.XMPPContextListener

All Implemented Interfaces:
  EventListener, javax.servlet.ServletContextListener

    public class XMPPContextListener

extends Object
implements javax.servlet.ServletContextListener

An XMPPContextListener starts an XMPPServer when a ServletContext is initialized and stops the xmpp server when the servlet context is destroyed.

Author:
  evrim ulu, Gaston Dombiak

Field Summary
`protected String` | `XMPP_KEY`

Constructor Summary
`XMPPContextListener()`

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent event)`
`void` | `contextInitialized(javax.servlet.ServletContextEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMPP_KEY

    protected String XMPP_KEY

Constructor Detail

### XMPPContextListener

    public XMPPContextListener()

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.